name: Social
description: Display social buttons.
type: particle
icon: fa-share-alt

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable social particles.
      default: true

    css.class:
      type: input.selectize
      label: CSS Classes
      description: CSS class name for the particle.
      default: social

    title:
      type: input.text
      label: Title
      description: Customize the title text.
      placeholder: Enter title

    target:
      type: select.selectize
      label: Target
      description: Target browser window when item is clicked.
      placeholder: 'Select...'
      default: _blank
      options:
          _parent: Self
          _blank: New Window

    items:
      type: collection.list
      array: true
      label: Social Items
      description: Create each social item to display.
      value: name
      ajax: true

      fields:

        .name:
          type: input.text
          label: Name
          skip: true

        .icon:
          type: input.icon
          label: Icon

        .text:
          type: input.text
          label: Text

        .link:
          type: input.text
          label: Link
